libvips/autogen.sh

50 lines
1.4 KiB
Bash
Executable File

#!/bin/sh
# Based on: https://wiki.gnome.org/Projects/GnomeCommon/Migration#autogen.sh
# Run this to generate all the initial makefiles, etc.
test -n "$srcdir" || srcdir=$(dirname "$0")
test -n "$srcdir" || srcdir=.
olddir=$(pwd)
cd $srcdir
(test -f configure.ac) || {
echo "*** ERROR: Directory '$srcdir' does not look like" >&2
echo "*** like the top-level project directory" >&2
exit 1
}
if ! gtkdocize --version > /dev/null; then
echo "*** ERROR: You must have gtkdocize installed" >&2
echo "*** to be able to reconfigure libvips." >&2
exit 1
fi
# shellcheck disable=SC2016
PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
echo "*** If you wish to pass any to it, please specify them on the" >&2
echo "*** '$0' command line." >&2
echo "" >&2
fi
aclocal -I m4 --install || exit 1
glib-gettextize --force --copy > /dev/null || exit 1
gtkdocize --copy --docdir doc --flavour no-tmpl || exit 1
autoreconf --verbose --force --install -Wno-portability || exit 1
cd "$olddir"
if [ "$NOCONFIGURE" = "" ]; then
$srcdir/configure "$@" || exit 1
if [ "$1" = "--help" ]; then
exit 0
else
echo "Now type 'make' to compile $PKG_NAME" || exit 1
fi
else
echo "Skipping configure process."
fi